LinuxQMISDK: _sysSelectPrefParams Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
_sysSelectPrefParams Struct Reference

## Data Fields
BYTE * | pEmerMode
WORD * | pModePref
ULONGLONG * | pBandPref
WORD * | pPRLPref
WORD * | pRoamPref
ULONGLONG * | pLTEBandPref
struct netSelectionPref * | pNetSelPref
BYTE * | pChgDuration
BYTE * | pMNCIncPCSDigStat
ULONG * | pSrvDomainPref
ULONG * | pGWAcqOrderPref
ULONGLONG * | pTdscdmaBandPref
struct acqOrderPref * | pAcqOrderPref
ULONG * | pSrvRegRestriction
struct CSGID * | pCSGID

## Detailed Description

Contain the system selection preferences.

Parameters

  pEmerMode | Optional parameter specifying the emergency Mode Values: 0 - OFF (normal) 1 - ON (Emergency)
  pModePref | Optional parameter Bit Mask indicating the radio technology mode preference Bit values: Bit 0 - cdma2000 1x Bit 1 - cdma2000 HRPD(1xEV-DO) Bit 2 - GSM Bit 3 - UMTS Bit 4 - LTE
  pBandPref | Optional parameter Bit mask representing the band preference Bit values: Bit 0 - Band Class 0, A-System Bit 1 - Band Class 0, B-System, Band Class 0 AB, GSM 850 Band Bit 2 - Band Class 1, all blocks Bit 3 - Band Class 2 place holder Bit 4 - Band Class 3, A-System Bit 5 - Band Class 4, all blocks Bit 6 - Band Class 5, all blocks Bit 7 - GSM_DCS_1800 band Bit 8 - GSM Extended GSM (E-GSM) 900 band Bit 9 - GSM Primary GSM (P-GSM) 900 band Bit 10 - Band Class 6 Bit 11 - Band Class 7 Bit 12 - Band Class 8 Bit 13 - Band Class 9 Bit 14 - Band Class 10 Bit 15 - Band Class 11 Bit 16 - GSM 450 band Bit 17 - GSM 480 band Bit 18 - GSM 750 band Bit 19 - GSM 850 band Bit 20 - GSM Railways GSM 900 Band Bit 21 - GSM PCS 1900 band Bit 22 - WCDMA Europe, Japan, and China IMT 2100 band Bit 23 - WCDMA U.S. PCS 1900 band Bit 24 - WCDMA Europe and China DCS 1800 band Bit 25 - WCDMA U.S. 1700 band Bit 26 - WCDMA U.S. 850 band Bit 27 - WCDMA Japan 800 band Bit 28 - Band Class 12 Bit 29 - Band Class 14 Bit 30 - Reserved Bit 31 - Band Class 15 Bit 32 to 47 - Reserved Bit 48 - WCDMA Europe 2600 band Bit 49 - WCDMA Europe and Japan 900 band Bit 50 - WCDMA Japan 1700 band Bit 51 to 55 - Reserved Bit 56 - Band Class 16 Bit 57 - Band Class 17 Bit 58 - Band Class 18 Bit 59 - Band Class 19 Bit 60 to 64 - Reserved
  pPRLPref | Optional parameter indicating the CDMA PRL Preference Values: 0x0001 - Acquire available system only on the A side 0x0002 - Acquire available system only on the B side 0x3FFF - Acquire any available systems
  pRoamPref | Optional parameter indicating the roaming Preference Values: 0x01 - Acquire only systems for which the roaming indicator is off 0x02 - Acquire a system as long as its roaming indicator is not off 0x03 - Acquire only systems for which the roaming indicator is off or solid on, i.e. not flashing; CDMA only 0xFF - Acquire systems, regardless of their roaming indicator
  pLTEBandPref | Optional parameter Bit mask representing the LTE band preference Bit Values Bit 0 - E-UTRA Operating Band 1 Bit 1 - E-UTRA Operating Band 2 Bit 2 - E-UTRA Operating Band 3 Bit 3 - E-UTRA Operating Band 4 Bit 4 - E-UTRA Operating Band 5 Bit 5 - E-UTRA Operating Band 6 Bit 6 - E-UTRA Operating Band 7 Bit 7 - E-UTRA Operating Band 8 Bit 8 - E-UTRA Operating Band 9 Bit 9 - E-UTRA Operating Band 10 Bit 10 - E-UTRA Operating Band 11 Bit 11 - E-UTRA Operating Band 12 Bit 12 - E-UTRA Operating Band 13 Bit 13 - E-UTRA Operating Band 14 Bit 16 - E-UTRA Operating Band 17 Bit 17 - E-UTRA Operating Band 18 Bit 18 - E-UTRA Operating Band 19 Bit 19 - E-UTRA Operating Band 20 Bit 20 - E-UTRA Operating Band 21 Bit 32 - E-UTRA Operating Band 33 Bit 33 - E-UTRA Operating Band 34 Bit 34 - E-UTRA Operating Band 35 Bit 35 - E-UTRA Operating Band 36 Bit 36 - E-UTRA Operating Band 37 Bit 37 - E-UTRA Operating Band 38 Bit 38 - E-UTRA Operating Band 39 Bit 39 - E-UTRA Operating Band 40 All other bits are reserved
  pNetSelPref | - netSelectionPref Optional parameter for specifying Network Selection Preference Modem selects networks based on this parameter(if present). see netSelectionPref for more information
  pChgDuration | Optional parameter specifying the duration of the change Values: 0x00 - Power cycle - Remains active until the next device power cycle 0x01 - Permanent - Remains active through power cycles until changed by client Device will use "0x01 - permanent" as default if this parameter is omitted
  pMNCIncPCSDigStat | Optional parameter indicating if MNC includes PCS digit Values: TRUE - MNC is a 3 digit value; e.g., a reported value of 90 corresponds to an MNC value of 090 FALSE - MNC is a 2-digit value; e.g., a reported value of 90 corresponds to an MNC value of 90
  pSrvDomainPref | Optional parameter indicating Service domain preference Values: 0x00 - Circuit switched only 0x01 - Packet switched only 0x02 - Circuit switched and packet switched 0x03 - Packet switched attach 0x04 - Packet switched detach
  pGWAcqOrderPref | Optional parameter indicating GSM/WCDMA Acquisition order Preference Values: 0x00 - Automatic 0x01 - GSM then WCDMA 0x02 - WCDMA then GSM

## Field Documentation

struct acqOrderPref* _sysSelectPrefParams::pAcqOrderPref

ULONGLONG* _sysSelectPrefParams::pBandPref

BYTE* _sysSelectPrefParams::pChgDuration

struct CSGID* _sysSelectPrefParams::pCSGID

BYTE* _sysSelectPrefParams::pEmerMode

ULONG* _sysSelectPrefParams::pGWAcqOrderPref

ULONGLONG* _sysSelectPrefParams::pLTEBandPref

BYTE* _sysSelectPrefParams::pMNCIncPCSDigStat

WORD* _sysSelectPrefParams::pModePref

struct netSelectionPref* _sysSelectPrefParams::pNetSelPref

WORD* _sysSelectPrefParams::pPRLPref

WORD* _sysSelectPrefParams::pRoamPref

ULONG* _sysSelectPrefParams::pSrvDomainPref

ULONG* _sysSelectPrefParams::pSrvRegRestriction

ULONGLONG* _sysSelectPrefParams::pTdscdmaBandPref